/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */


var routes = [
    {
        path: '/home',
        name: 'home',
        async: function (routeTo, routeFrom, resolve, reject) {
            notes.load(function () {
                console.log("Loading");
                notes.fixAll();
                var notecards = notes.getAll();
                if (routeFrom.name == "home") {
                    app.ptr.done();
                }
                resolve({
                    templateUrl: './pages/home.html',
                    reloadCurrent: (routeFrom.name == "home")
                }, {
                    context: {
                        notecards: notecards
                    }
                });
            });
        }
    },
    {
        path: '/setup/0',
        url: './pages/setup0.html',
        name: 'setup0'
    },
    {
        path: '/setup/1',
        templateUrl: './pages/setup1.html',
        name: 'setup1'
    },
    {
        path: '/credits',
        url: './pages/credits.html',
        name: 'credits'
    },
    {
        path: '/editnote',
        templateUrl: './pages/editnote.html',
        name: 'editnote'
    }
];